% Funktion ForEuler13
%%------------------------------------------------------
% Aufgabe 1
% Zu lösen ist 
%
% (1)      d^2x/dt^2+w^2x=0, x(0)=x_0, dx/xt(0)=v0, 0<t<20*pi
%
% mit Hilfe 
%
% von  Euler-Verfahren 
%  x_{n+1}=x_n+h*f(t_n,x_n)
%
% 
% Gl. (1) <=>
%  (2)    dx/dt=y, dy/dt=-w^2*x, x(0)=0, y(0)=v0
%
% ----------------------------------------------------------

function ForEuler13(h,t,x,y,Tend)
N=Tend/h;

for i=1:(N-1)
dx=h*y;
dy=h*(-x);
x=x+dx;
y=y+dy;
t=t+h;
plot(t,x,'bo','LineWidth',1,'MarkerSize',1.8)
 hold on
end

